{% extends "calib/template.html" %}
{% block title %} Calibration {% endblock %}
{% block heading %} Calibration - step 1 {% endblock %}
{% block content %}	
	<p> Welcome to the calibration tool. This guide will help you with the platform calibration process. </p>
	<h3> Make sure the computer vision script is running </h3>
	<p> The calibration tool requires the position measurement script to be running. Press the Status button to check the status of the service. In the status message, look for an entry named <i>Active</i>. If the entry says <i>inactive</i>, press Start. If the entry says <i>failed</i>, press Restart. Wait until the service starts up. </p>
	<p> Once the service is active, look at the <i>Current detector</i> name displayed below the buttons. If it is displayed in red, click the <i>Load the correct detector</i> button. If it is displayed in green, you can click <i>Continue</i>. </p>
	<div> Position measurement service</div>
	<div class="btn-group service-switch" role="group" data-service="vision" aria-label="Basic example">
		<button type="button" class="btn btn-success" data-command="start">Start</button>
		<button type="button" class="btn btn-danger" data-command="stop">Stop</button>
		<button type="button" class="btn btn-primary" data-command="restart">Restart</button>
		<button type="button" class="btn btn-secondary" data-command="status">Status</button>
	</div>
	<span>Current detector: <b id="detector"></b></span>
	<button type="button" class="btn btn-success load-detector" style="display:none">Load the correct detector</button>
	<span id="msg-start-detector" style="display:none">Check the service status and press the Start or Restart button</span>
	<div class="float-right">
		<a class="btn btn-success" href="/calib/1" role="button">Continue</a>
	</div>

		<!-- Modal -->
	<div class="modal fade" id="statusModal" tabindex="-1" role="dialog" aria-labelledby="statusModalLabel" aria-hidden="true">
	  <div class="modal-dialog" role="document">
	    <div class="modal-content">
	      <div class="modal-header">
	        <h5 class="modal-title" id="statusModalLabel">Service status</h5>
	        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	          <span aria-hidden="true">&times;</span>
	        </button>
	      </div>
	      <div class="modal-body">
	        <pre>
	        </pre>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	  </div>
	</div>
{% endblock %}

{% block scripts %} 
{{ super() }}
<script>
var socket = io.connect('http://' + document.domain + ':' + location.port);

setInterval(function () { socket.emit("get_detector"); }, 1000);

socket.on("detector", function (name) {
	detector_text = $("#detector")[0];
	detector_button = $(".load-detector")[0];
	detector_text.innerHTML = name;
	service_message = $("#msg-start-detector")[0];
	if (name.toLowerCase() == "balls") {
		detector_text.style.color = "green";
		detector_button.style.display = 'none';
		service_message.style.display = 'none';
	} else if (name.toLowerCase() == "service offline") {
		detector_text.style.color = "red";
		detector_button.style.display = 'none';
		service_message.style.display = 'initial';
	} else {
		detector_text.style.color = "red";
		detector_button.style.display = 'initial';
		service_message.style.display = 'none';
	}
})

$(function () {
		$(".service-switch button").click(function (){
			_this = $(this)
			command = _this.data("command")
			service = _this.parent().data("service")
			console.log(command, service)
			$.get("/"+service+"/"+command, function( data ) {
			  if(data != ""){
			  	$('#statusModal pre').text(data)
			  	$('#statusModal').modal()

			  }
			});
		})

		$(".load-detector").click(function () {
			socket.emit("change_detector", "/home/pi/config_balls.json")
		})
	});
</script>
{% endblock %}